Subject: smtpupd-09 prohibits simple EHLO/HELO implementation

From: "D. J. Bernstein" <[email-masked]>
Date: 30 Jan 1999 21:24:58 -0000

> Servers MUST NOT
> return the extended EHLO-style response to a HELO command.

Problem #1 is that this requirement is unclear. What does ``the extended
EHLO-style response'' mean? Some possibilities:

   * the response that this server gives to EHLO;
   * the response that this server gives to EHLO, if multiline;
   * any response that complies with the EHLO syntax (absurd!);
   * any multiline response that complies with the EHLO syntax;
   * any multiline response.

Problem #2 is that, under the most obvious interpretations, this
requirement prohibits the behavior of many existing hosts. What is the
interoperability benefit?

In June 1998 I spotted this requirement and asked where it came from. I
still don't know if it's anything more than the document editor's whim.

---Dan